module Types.ConnectionState
  ( Client (..),
    Client,
    ConnectedClientsState,
    ConnectedClients,
  )
where

import ClassyPrelude
import Data.UUID (UUID)
import Network.WebSockets qualified as WS

data Client = Client
  { uuid :: UUID,
    name :: Text,
    conn :: WS.Connection
  }

type ConnectedClientsState = MVar ConnectedClients

type ConnectedClients = [Client]
