{-# LANGUAGE DeriveGeneric #-}

module Types.RoomData (RoomData) where

import ClassyPrelude
import Data.Aeson (FromJSON, ToJSON)
import Types.Participant (Participant)

data RoomData = RoomData
  { roomName :: RoomName,
    participants :: [Participant]
  }
  deriving (Generic, Show)

type RoomName = Text

instance ToJSON RoomData

instance FromJSON RoomData
